Subject: [bug#73664] [PATCH] gnu: libtorrent-rasterbar: Work around hang in test_ssl.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 01 Feb 2025 16:19:37 +0900

reopen 73664
retitle 73664 libtorrent-rasterbar: non-deterministic failures in test_ssl
quit

Hi Tomas,

Tomas Volf <[email-masked]> writes:

> With the release of 2.0.11, the SSL certificates used for tests are valid for
> long enough time (~end of year 2297) to no longer require faketime.  With the
> removal of faketime, the explicit timeout is also no longer required, since it
> does not hang anymore.
>
> This gives us back the validation that SSL works.

It builds for me locally, but the CI encountered problems:

https://ci.guix.gnu.org/build/8981901/details

I'm not sure there seems to be a substitute available for it, but this
is worrying.  I think I'll revert, or leave it disabled with a note of
potential non-determistic failures with it.

-- 
Thanks,
Maxim